Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.msg
Class RollbackMessageImp

    java.lang.Object
      com.atomikos.icatch.msg.AbstractMessage
          com.atomikos.icatch.msg.RollbackMessageImp

All Implemented Interfaces:
  RollbackMessage, TransactionMessage

    public class RollbackMessageImp

extends AbstractMessage
implements RollbackMessage

A reusable implementation of a rollback message.

Field Summary

Fields inherited from interface com.atomikos.icatch.msg.TransactionMessage
`COMMIT_MESSAGE, ERROR_MESSAGE, FORGET_MESSAGE, FORMAT_SOAP, FORMAT_UNKNOWN, PREPARE_MESSAGE, PREPARED_MESSAGE, REGISTER_MESSAGE, REGISTERED_MESSAGE, REPLAY_MESSAGE, ROLLBACK_MESSAGE, STATE_MESSAGE`

Constructor Summary
`RollbackMessageImp(int protocol, int format, Object targetAddress, String targetURI, Object senderAddress, String senderURI)` Create a new instance.

Method Summary
`int` | `getMessageType()` Get the message type.

Methods inherited from class com.atomikos.icatch.msg.AbstractMessage
`getFormat, getProtocol, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.atomikos.icatch.msg.TransactionMessage
`getFormat, getProtocol, getSenderAddress, getSenderURI, getTargetAddress, getTargetURI`

Constructor Detail

### RollbackMessageImp

    public RollbackMessageImp(int protocol,
                              int format,
                              Object targetAddress,
                              String targetURI,
                              Object senderAddress,
                              String senderURI)

  Create a new instance.

  Parameters:
    `protocol` - The commit protocol.
    `format` - The format of the message.
    `targetAddress` - Where to send it.
    `targetURI` - For which target object this is.
    `senderAddress` - Who is sending this.
    `senderURI` - Which object is sending this.

Method Detail

### getMessageType

    public int getMessageType()

  Description copied from interface: `TransactionMessage`
  Get the message type.

  Specified by:
    `getMessageType` in interface `TransactionMessage`
  Returns:
    int One of the predefined types.
  See Also:
    `TransactionMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.